<mvc:View controllerName="sap.ui.sta.controller.Home" xmlns:l="sap.ui.layout" xmlns:mvc="sap.ui.core.mvc" xmlns="sap.m"
	xmlns:app="http://schemas.sap.com/sapui5/extension/sap.ui.core.CustomData/1" xmlns:table="sap.ui.table"
	xmlns:smartFilterBar="sap.ui.comp.smartfilterbar" xmlns:smartTable="sap.ui.comp.smarttable">
	<Page title="Revisiones">
		<content>
			<table:Table id="tabla" rows="{/}" rowActionCount="1" selectionMode="MultiToggle" visibleRowCount="7" paste="onPaste" ariaLabelledBy="title">
							<!--<table:extension>-->
							<!--	<OverflowToolbar>-->
							<!--		<Title id="title" text="Products"/>-->
							<!--	</OverflowToolbar>-->
							<!--</table:extension>-->
							<table:columns>
								<table:Column width="5rem" filterProperty="review/company" sortProperty="review/company">
									<Label text="Sociedad"/>
									<table:template>
										<Text text="{review/company}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="15rem" filterProperty="review/companyDesc" sortProperty="review/companyDesc">
									<Label text="Descripción"/>
									<table:template>
										<Text text="{review/companyDesc}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="12rem" filterProperty="vin" sortProperty="vin"> 
									<Label text="VIN"/>
									<table:template>
										<Text text="{vin}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="11rem" filterProperty="model" sortProperty="model">
									<Label text="Modelo"/>
									<table:template>
										<Text text="{model}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="11rem" filterProperty="modelDesc" sortProperty="modelDesc">
									<Label text="Descripción"/>
									<table:template>
										<Text text="{modelDesc}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="6rem" filterProperty="brand" sortProperty="brand">
									<Label text="Marca"/>
									<table:template>
										<Text text="{brand}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="11rem" filterProperty="review/brandDesc" sortProperty="review/brandDesc">
									<Label text="Descripción"/>
									<table:template>
										<Text text="{review/brandDesc}" wrapping="false"/>
									</table:template>
								</table:Column>								
								<table:Column width="5rem" filterProperty="year" sortProperty="year">
									<Label text="Año"/>
									<table:template>
										<Text text="{year}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="11rem" filterProperty="colorExt" sortProperty="colorExt">
									<Label text="Color"/>
									<table:template>
										<Text text="{colorExt}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="11rem" filterProperty="colorExtDesc" sortProperty="colorExtDesc">
									<Label text="Descripción"/>
									<table:template>
										<Text text="{colorExtDesc}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="20rem" filterProperty="review/title" sortProperty="review/title">
									<Label text="Titulo"/>
									<table:template>
										<Text text="{review/title}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="20rem" filterProperty="review/description" sortProperty="review/description">
									<Label text="Decripción"/>
									<table:template>
										<Text text="{review/description}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="11rem" filterProperty="reviewer_ID" sortProperty="reviewer_ID">
									<Label text="Asignado"/>
									<table:template>
										<Text text="{reviewer_ID}" wrapping="false"/>
									</table:template>
								</table:Column>								
								<table:Column width="5rem" filterProperty="review/plant" sortProperty="review/plant"> 
									<Label text="Centro"/>
									<table:template>
										<Text text="{review/plant}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="15rem" filterProperty="review/plantDesc" sortProperty="review/plantDesc"> 
									<Label text="Descripción"/>
									<table:template>
										<Text text="{review/plantDesc}" wrapping="false"/>
									</table:template>
								</table:Column>								
								<!-- <table:Column width="5rem" filterProperty="review/segment">
									<Label text="Segmento"/>
									<table:template>
										<Text text="{review/segment}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="11rem" filterProperty="review/segmentDesc">
									<Label text="Descripción"/>
									<table:template>
										<Text text="{review/segmentDesc}" wrapping="false"/>
									</table:template>
								</table:Column> -->
								<table:Column width="5rem" filterProperty="review/gama" sortProperty="review/gama">
									<Label text="Gama"/>
									<table:template>
										<Text text="{review/gama}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="11rem" filterProperty="review/gamaDesc" sortProperty="review/gamaDesc">
									<Label text="Descripción"/>
									<table:template>
										<Text text="{review/gamaDesc}" wrapping="false"/>
									</table:template>
								</table:Column>
								<table:Column width="6rem" filterProperty="status" sortProperty="status">
									<Label text="Estado"/>
									<table:template>
										<Text text="{status}" wrapping="false"/>
									</table:template>
								</table:Column>
							</table:columns>
							<table:rowActionTemplate>
								<table:RowAction>
									<table:items>
										<table:RowActionItem type="Navigation" press="onItemPress" visible="true"></table:RowActionItem>
									</table:items>
								</table:RowAction>
							</table:rowActionTemplate>
						</table:Table>
		</content>
	</Page>
</mvc:View>